% ColorName2rgb: Given a matrix with a set of color names or indices, returns the RGB values representing each color name
function RGB=ColorName2rgb(colorNames)
    rgb_values = [[1.0 0.0 0.0]; ...
                  [1.0 0.6 0.0]; ...
                  [0.4 0.2 0.0]; ...
                  [1.0 1.0 0.0]; ...
                  [0.0 1.0 0.0]; ...
                  [0.0 0.0 1.0]; ...
                  [0.7 0.0 0.7]; ...
                  [0.8 0.6 0.7]; ...
                  [0.0 0.0 0.0]; ...
                  [0.5 0.5 0.5]; ...
                  [1.0 1.0 1.0]];    

    if isa(colorNames,'cell')
        colorNames= strcmp(colorNames,'Red')*1+...
                    strcmp(colorNames,'Orange')*2+...
                    strcmp(colorNames,'Brown')*3+...
                    strcmp(colorNames,'Yellow')*4+...
                    strcmp(colorNames,'Green')*5+...
                    strcmp(colorNames,'Blue')*6+...
                    strcmp(colorNames,'Purple')*7+...
                    strcmp(colorNames,'Pink')*8+...
                    strcmp(colorNames,'Black')*9+...
                    strcmp(colorNames,'Grey')*10+...
                    strcmp(colorNames,'White')*11;
    end

    RGB = rgb_values(colorNames,:);
